Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000651TestLinkTest Specificationpublic2007-02-21 18:032009-04-05 00:46
ReporterPhilip 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.0 BETA 5 
Fixed in Version1.8 RC 3 
Summary0000651: Protection to not allow the remove of executed test cases
DescriptionThere is a protection (by default) that does not allow edit of executed test cases, should not be a protection to not allow the remove of executed test cases? The impact of removing an executed test case is more serious because execution information is lost.
One simple protection could be a check box like "allow remove of executed test cases" that by default is never checked.
Additional InformationRemove test case related situations:

If there are a lot of tests to add to a suite with a lot of tests already in execution, they need to be checked one by one to avoid removing test cases in execution. In order to have Add and Remove in the same place there should be a check button for Add and other check button for Remove.

There are two places to remove test cases "Remove Test Case" and "Add Test Case". I think that should be only one place to remove test cases. Personally, I would prefer to have all in the same place but in a way that I could select with the “Check” button, for example, test cases to add without selecting test cases to remove.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2007-02-21 18:03 Philip New Issue
2007-02-21 19:23 fman Status new => assigned
2007-02-21 19:23 fman Assigned To => fman
2007-11-13 17:10 mhavlat Severity minor => feature request
2007-11-13 17:10 mhavlat Category New Feature => Test Specification
2009-02-04 16:18 fman Status assigned => resolved
2009-02-04 16:18 fman Fixed in Version => 1.8 RC 3
2009-02-04 16:18 fman Resolution open => fixed
2009-04-05 00:46 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker